Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in WebKitGTK+
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in WebKitGTK+
ID: USN-3743-1
Distribution: Ubuntu
Plattformen: Ubuntu 16.04 LTS, Ubuntu 18.04 LTS
Datum: Do, 16. August 2018, 17:18
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4262
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4266
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4261
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4264
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4263
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4270
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4272
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4267
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4278
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4273
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12911
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4265
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4246
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4284
Applikationen: WebKitGTK+

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============3615155724658363595==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="dZTKzenlhnnprTGPUyHX294idubFr4DeQ"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--dZTKzenlhnnprTGPUyHX294idubFr4DeQ
Content-Type: multipart/mixed;
boundary="XxadPlBUt1UiGIiILgBW2Ii2WAhXHOILe";
protected-headers="v1"
From: Marc Deslauriers <marc.deslauriers@canonical.com>
Reply-To: Ubuntu Security <security@ubuntu.com>
To: ubuntu-security-announce@lists.ubuntu.com
Message-ID: <56cb6754-c9e9-1b74-c793-f043ea004689@canonical.com>
Subject: [USN-3743-1] WebKitGTK+ vulnerabilities

--XxadPlBUt1UiGIiILgBW2Ii2WAhXHOILe
Content-Type: text/plain; charset=utf-8
Content-Language: en-C
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-3743-1
August 16, 2018

webkit2gtk vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 18.04 LTS
- Ubuntu 16.04 LTS

Summary:

Several security issues were fixed in WebKitGTK+.

Software Description:
- webkit2gtk: Web content engine library for GTK+

Details:

A large number of security issues were discovered in the WebKitGTK+ Web and
JavaScript engines. If a user were tricked into viewing a malicious
website, a remote attacker could exploit a variety of issues related to web
browser security, including cross-site scripting attacks, denial of service
attacks, and arbitrary code execution.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 18.04 LTS:
libjavascriptcoregtk-4.0-18 2.20.5-0ubuntu0.18.04.1
libwebkit2gtk-4.0-37 2.20.5-0ubuntu0.18.04.1

Ubuntu 16.04 LTS:
libjavascriptcoregtk-4.0-18 2.20.5-0ubuntu0.16.04.1
libwebkit2gtk-4.0-37 2.20.5-0ubuntu0.16.04.1

This update uses a new upstream release, which includes additional bug
fixes. After a standard system update you need to restart any applications
that use WebKitGTK+, such as Epiphany, to make all the necessary changes.

References:
https://usn.ubuntu.com/usn/usn-3743-1
CVE-2018-12911, CVE-2018-4246, CVE-2018-4261, CVE-2018-4262,
CVE-2018-4263, CVE-2018-4264, CVE-2018-4265, CVE-2018-4266,
CVE-2018-4267, CVE-2018-4270, CVE-2018-4272, CVE-2018-4273,
CVE-2018-4278, CVE-2018-4284

Package Information:
https://launchpad.net/ubuntu/+source/webkit2gtk/2.20.5-0ubuntu0.18.04.1
https://launchpad.net/ubuntu/+source/webkit2gtk/2.20.5-0ubuntu0.16.04.1


--XxadPlBUt1UiGIiILgBW2Ii2WAhXHOILe--

--dZTKzenlhnnprTGPUyHX294idubFr4DeQ
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUMSg3c8x5FLOsZtRZWnYVadEvpMFAlt1i0AACgkQZWnYVadE
vpNfzg//eajiLdFA4Cyd5JXZetzSNgVvfaHuPZd7He1/iEParHqzTD3QYt5M2Qk4
zu9r9cQnqgqhdKGc+X18+fflllbMBjwuE2QgfxTR64U5NKlCK9621x8tfL10JAvq
qJr5hJBvFmNi0ul6g3RB5sNp2wadcFFYxdrsEghUH/TobIIiUB6IUO/6nmbeOTs6
uDmfY9LPtI4U4brYetu8yEm8oD/u1ft9gWkac7nM+cNBa+IaefZz77sZOMA6OjFl
tVCD/GFyVO/vvjN/48Ewrtwkm/Iuwqe3KmpiGMaDx+caC5RgsoqO6PsUIsSNc/cI
kditWLYLqAnRwSqDfvm8wpN2Cw5LGynhSk2LH5VHeq6bRfo4lrv2jhge62+qDfRa
F0qdRTycsAU8mMNgoC1a+qTqPe7EmavDhMwuHRj4NtSAlHgqvm1YOEmk97BA/GPB
L9AVOunxVcFbVMl6NvQ67/tcRnILubZT3DFpTuFpne8kVJwdHfJxEdLbB8s37ZGs
qKeg4aTKZCmXnCQYlDNhvtKdn5Cnv8pq/W0zDOZrZxMTdu6ffWw95cgKxVNUZw1s
FSb+DdLo3iGAGRxz05cu3+YhNvEgLkNzHlyJUlhVtPsYZHZ3YBoIJUvd3X1iqq/g
6VqOOIFxMkEmiNxS7pvV1qk0sboAtkL+zyErt+g8yZfCMBLe+Ck=
=oBHM
-----END PGP SIGNATURE-----

--dZTKzenlhnnprTGPUyHX294idubFr4DeQ--


--===============3615155724658363595==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK

--===============3615155724658363595==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung